package com.VinhVIP;
import java.util.ArrayList;
import android.app.*;
import android.content.*;
import android.os.Bundle;
import android.view.View;
import android.view.*;
import android.view.View.OnClickListener;
import android.widget.*;
public class MainActivity extends Activity
{
    private static final int dw = Menu.FIRST;
    private static final int about = Menu.FIRST + 2;
    ArrayList < Work > array;
    ListWorkAdapter ara;
    @Override
    public void onCreate(Bundle bd)
    {
        super.onCreate(bd);
        setContentView(R.layout.main);
        array = new ArrayList <Work>();
        ara = new ListWorkAdapter(this, R.layout.list, array);
        final EditText worke = (EditText) findViewById(R.id.work_enter);
        final EditText houre = (EditText) findViewById(R.id.hour_edit);
        final EditText minutee = (EditText) findViewById(R.id.minute_edit);
        final Button bt = (Button) findViewById(R.id.button);
        final ListView list = (ListView) findViewById(R.id.list);
        list.setAdapter(ara);
        OnClickListener add = new OnClickListener()
        {
            @Override
            public void onClick(View v)
            {
                if (worke.getText() . toString() . equals("") || houre.getText() . toString() . equals("") || minutee.getText() . toString() . equals(""))
                {
                    AlertDialog.Builder builder = new AlertDialog.Builder(MainActivity.this);
                    builder.setTitle("Thông tin không chính xác");
                    builder.setMessage("Nhập đầy đủ nội dung");
                    builder.setPositiveButton("Continue", new DialogInterface.OnClickListener()
						{
							public void onClick(DialogInterface dialog, int which)
							{
							}
						});
                    builder.show();
                }
                else
                {
                    String mainString = worke.getText() . toString();
                    String time = houre.getText() . toString() + " : "+minutee.getText() . toString();
                    Work work = new Work(mainString, time);
                    array.add(0, work);
                    ara.notifyDataSetChanged();
                    worke.setText("");
                    houre.setText("");
                    minutee.setText("");
                }
            }
        };
        bt.setOnClickListener(add);
    }
    public boolean onCreateOptionsMenu(Menu menu)
    {
        super.onCreateOptionsMenu(menu);
        menu.add(0, dw,0, "Delete") . setIcon(android.R.drawable.ic_delete);
        menu.add(0, about, 0, "About") . setIcon(android.R.drawable.ic_menu_info_details);
        return true;
    }
    public boolean onOntionsItemSelected(MenuItem item)
    {
        switch (item.getItemId())
        {
			case dw:
				{
					deleteCheckedWork();
					break;}
			case about:
				{
					AlertDialog.Builder builder = new AlertDialog.Builder(this);
					builder.setTitle("VinhVIP");
					builder.setMessage("Author:" + "\n" + "Trần Quang Vinh" + "\n" + "VinhVIP");
					builder.setPositiveButton("Close", new DialogInterface.OnClickListener()
						{
							public void onClick(DialogInterface dialog, int which)
							{
							}
						});
					builder.setIcon(android.R.drawable.ic_dialog_info);
					builder.show();
					break;
				}
        }
        return true;
    }
    private void deleteCheckedWork()
    {
        if (array.size() > 0)
        {
            for (int i = 0; i < array.size(); i++)
            {
                if (i > array.size())
                {
                    break;
                }
                if (array.get(i) . isChecked())
                {
                    array.remove(i);
                    ara.notifyDataSetChanged();
                    continue;
                }
            }
        }
    }
}
